From 6834166bf093ea5fea1840cc9ca231bf9f8cfc97 Mon Sep 17 00:00:00 2001
From: Wang Guoquan <wangguoquan03@foxmail.com>
Date: Mon, 9 Sep 2024 11:53:19 +0800
Subject: [PATCH] libguestfs-common: adapt virt-customize for openEuler image

enable virt-customize options, such as first-boot, hostname, password.

Signed-off-by: Wang Guoquan <wangguoquan03@foxmail.com>
---
 mlcustomize/firstboot.ml | 2 +-
 mlcustomize/hostname.ml  | 4 ++--
 mlcustomize/password.ml  | 2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/mlcustomize/firstboot.ml b/mlcustomize/firstboot.ml
index 52e7640..3d604c8 100644
--- a/mlcustomize/firstboot.ml
+++ b/mlcustomize/firstboot.ml
@@ -152,7 +152,7 @@ WantedBy=%s
   and install_sysvinit_service g root distro major =
     match distro with
     | "fedora"|"rhel"|"centos"|"scientificlinux"|"oraclelinux"|"rocky"|
-        "redhat-based" ->
+        "redhat-based" | "openEuler" ->
       install_sysvinit_redhat g
     | "opensuse"|"sles"|"suse-based" ->
       install_sysvinit_suse g
diff --git a/mlcustomize/hostname.ml b/mlcustomize/hostname.ml
index 50a287d..4e492d3 100644
--- a/mlcustomize/hostname.ml
+++ b/mlcustomize/hostname.ml
@@ -37,7 +37,7 @@ let rec set_hostname (g : Guestfs.guestfs) root hostname =
     true
 
   | "linux", ("rhel"|"centos"|"scientificlinux"|"oraclelinux"|"rocky"|
-              "redhat-based"), v
+              "redhat-based"|"openEuler"), v
     when v >= 7 ->
     update_etc_hostname g hostname;
     update_etc_machine_info g hostname;
@@ -50,7 +50,7 @@ let rec set_hostname (g : Guestfs.guestfs) root hostname =
     true
 
   | "linux", ("fedora"|"rhel"|"centos"|"scientificlinux"|"oraclelinux"|
-              "redhat-based"), _ ->
+              "redhat-based"|"openEuler"), _ ->
     replace_line_in_file g "/etc/sysconfig/network" "HOSTNAME" hostname;
     true
 
diff --git a/mlcustomize/password.ml b/mlcustomize/password.ml
index c0077fc..d58202d 100644
--- a/mlcustomize/password.ml
+++ b/mlcustomize/password.ml
@@ -189,7 +189,7 @@ and default_crypto g root =
 
   (* Rolling distributions, which hopefully should be updated enough. *)
   | ("archlinux"|"kalilinux"), _ -> `YESCRYPT
-  | ("voidlinux"), _ -> `SHA512
+  | ("voidlinux"|"openEuler"), _ -> `SHA512
 
   | _, _ ->
     let minor = g#inspect_get_minor_version root in
-- 
2.43.0

